-- BEGIN COPYRIGHT
-- *************************************************************************
--
--  Licensed Materials - Property of IBM
--  5725-C94, 5725-C95, 5725-C96
--  (C) Copyright IBM Corporation 2010, 2016. All Rights Reserved.
--  US Government Users Restricted Rights- Use, duplication or disclosure
--  restricted by GSA ADP Schedule Contract with IBM Corp.
--
-- *************************************************************************
-- END COPYRIGHT


SET CURRENT SCHEMA = '@SCHEMA@';
        
    
    

        
-- START of phase ProcUpgradeTo857_CF2016.09 --
        
            
CREATE TABLESPACE WLPZ4202
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE @SCHEMA@.BPM_ES_CONNECTOR (
    "ES_CONNECTOR_ID" CHAR(36) NOT NULL ,
    "DEFINITION" BLOB(2G) NOT NULL ,
    "GUID" VARCHAR(256) NOT NULL ,
    "VERSION_ID" CHAR(36) NOT NULL ,
    "LAST_MODIFIED" TIMESTAMP NOT NULL ,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12, 0) NOT NULL
)
IN @DB_NAME@.WLPZ4202
;

CREATE LOB TABLESPACE WLPZ4203
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE @SCHEMA@.BPM_ES_CONNECTOR2_LOB
    IN @DB_NAME@.WLPZ4203
    STORES @SCHEMA@.BPM_ES_CONNECTOR COLUMN DEFINITION
;
CREATE UNIQUE INDEX @SCHEMA@.BPM_ES_CONNECTOR2_I
    ON @SCHEMA@.BPM_ES_CONNECTOR2_LOB
    USING STOGROUP @STOGRP@
;
        

CREATE UNIQUE INDEX @SCHEMA@.BPMC_ESNTR_PK
    ON @SCHEMA@.BPM_ES_CONNECTOR
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.BPM_ES_CONNECTOR
    ADD CONSTRAINT BPMC_ESNTR_PK
    PRIMARY KEY(
       "VERSION_ID")

;

CREATE INDEX @SCHEMA@.BPMC_ESNTR_PK3
    ON @SCHEMA@.BPM_ES_CONNECTOR("GUID")
    USING STOGROUP @STOGRP@

;

ALTER  TABLE @SCHEMA@.LSW_PROCESS_ITEM 
ADD 
    "EXTERNAL_SERVICE_REF" CHAR(36) 
ADD 
    "EXTERNAL_SERVICE_OP" VARCHAR(510)
;

COMMIT;
    
ALTER TABLE @SCHEMA@.LSW_EM_TASK_KEYWORDS VOLATILE
;

ALTER  TABLE @SCHEMA@.LSW_BPD 
ADD 
    "JSON_DATA" BLOB(2G)
;

COMMIT;
    
CREATE LOB TABLESPACE WLPZ302
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE @SCHEMA@.LSW_BPD30_LOB
    IN @DB_NAME@.WLPZ302
    STORES @SCHEMA@.LSW_BPD COLUMN JSON_DATA
;
CREATE UNIQUE INDEX @SCHEMA@.LSW_BPD30_I
    ON @SCHEMA@.LSW_BPD30_LOB
    USING STOGROUP @STOGRP@
;
        
ALTER  TABLE @SCHEMA@.LSW_CLASS 
ADD 
    "JSON_DATA" BLOB(2G)
;

COMMIT;
    
CREATE LOB TABLESPACE WLPZ3305
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE @SCHEMA@.LSW_CLASS20_LOB
    IN @DB_NAME@.WLPZ3305
    STORES @SCHEMA@.LSW_CLASS COLUMN JSON_DATA
;
CREATE UNIQUE INDEX @SCHEMA@.LSW_CLASS20_I
    ON @SCHEMA@.LSW_CLASS20_LOB
    USING STOGROUP @STOGRP@
;
        
ALTER  TABLE @SCHEMA@.LSW_RESOURCE_BUNDLE_GROUP 
ADD 
    "JSON_DATA" BLOB(2G)
;

COMMIT;
    
CREATE LOB TABLESPACE WLPZ3306
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE @SCHEMA@.LSW_RESOURCE_BUNDLE_GROUP4_LOB
    IN @DB_NAME@.WLPZ3306
    STORES @SCHEMA@.LSW_RESOURCE_BUNDLE_GROUP COLUMN JSON_DATA
;
CREATE UNIQUE INDEX @SCHEMA@.LSW_RESOURCE_BUNDLE_GROUP4_I
    ON @SCHEMA@.LSW_RESOURCE_BUNDLE_GROUP4_LOB
    USING STOGROUP @STOGRP@
;
        
ALTER  TABLE @SCHEMA@.LSW_RESOURCE_BUNDLE 
ADD 
    "JSON_DATA" BLOB(2G)
;

COMMIT;
    
CREATE LOB TABLESPACE WLPZ3304
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE @SCHEMA@.LSW_RESOURCE_BUNDLE6_LOB
    IN @DB_NAME@.WLPZ3304
    STORES @SCHEMA@.LSW_RESOURCE_BUNDLE COLUMN JSON_DATA
;
CREATE UNIQUE INDEX @SCHEMA@.LSW_RESOURCE_BUNDLE6_I
    ON @SCHEMA@.LSW_RESOURCE_BUNDLE6_LOB
    USING STOGROUP @STOGRP@
;
        
ALTER  TABLE @SCHEMA@.LSW_TRACKING_GROUP 
ADD 
    "JSON_DATA" BLOB(2G)
;

COMMIT;
    
CREATE LOB TABLESPACE WLPZ3601
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE @SCHEMA@.LSW_TRACKING_GROUP6_LOB
    IN @DB_NAME@.WLPZ3601
    STORES @SCHEMA@.LSW_TRACKING_GROUP COLUMN JSON_DATA
;
CREATE UNIQUE INDEX @SCHEMA@.LSW_TRACKING_GROUP6_I
    ON @SCHEMA@.LSW_TRACKING_GROUP6_LOB
    USING STOGROUP @STOGRP@
;
        
ALTER  TABLE @SCHEMA@.LSW_PROCESS 
ADD 
    "JSON_DATA" BLOB(2G)
;

COMMIT;
    
CREATE LOB TABLESPACE WLPZ4204
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE @SCHEMA@.LSW_PROCESS31_LOB
    IN @DB_NAME@.WLPZ4204
    STORES @SCHEMA@.LSW_PROCESS COLUMN JSON_DATA
;
CREATE UNIQUE INDEX @SCHEMA@.LSW_PROCESS31_I
    ON @SCHEMA@.LSW_PROCESS31_LOB
    USING STOGROUP @STOGRP@
;
        
ALTER  TABLE @SCHEMA@.LSW_PARTICIPANT 
ADD 
    "JSON_DATA" BLOB(2G)
;

COMMIT;
    
CREATE LOB TABLESPACE WLPZ6302
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE @SCHEMA@.LSW_PARTICIPANT16_LOB
    IN @DB_NAME@.WLPZ6302
    STORES @SCHEMA@.LSW_PARTICIPANT COLUMN JSON_DATA
;
CREATE UNIQUE INDEX @SCHEMA@.LSW_PARTICIPANT16_I
    ON @SCHEMA@.LSW_PARTICIPANT16_LOB
    USING STOGROUP @STOGRP@
;
        
ALTER  TABLE @SCHEMA@.LSW_WEB_SERVICE 
ADD 
    "JSON_DATA" BLOB(2G)
;

COMMIT;
    
CREATE LOB TABLESPACE WLPZ7201
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE @SCHEMA@.LSW_WEB_SERVICE10_LOB
    IN @DB_NAME@.WLPZ7201
    STORES @SCHEMA@.LSW_WEB_SERVICE COLUMN JSON_DATA
;
CREATE UNIQUE INDEX @SCHEMA@.LSW_WEB_SERVICE10_I
    ON @SCHEMA@.LSW_WEB_SERVICE10_LOB
    USING STOGROUP @STOGRP@
;
        








CREATE TABLESPACE WLPZ4205
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE @SCHEMA@.BPM_SKEL_CONNECTOR (
    "SKEL_CONNECTOR_ID" CHAR(36) NOT NULL ,
    "DEFINITION" BLOB(2G) NOT NULL ,
    "GUID" VARCHAR(256) NOT NULL ,
    "VERSION_ID" CHAR(36) NOT NULL ,
    "LAST_MODIFIED" TIMESTAMP NOT NULL ,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12, 0) NOT NULL
)
IN @DB_NAME@.WLPZ4205
;

CREATE LOB TABLESPACE WLPZ4206
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE @SCHEMA@.BPM_SKEL_CONNECTOR2_LOB
    IN @DB_NAME@.WLPZ4206
    STORES @SCHEMA@.BPM_SKEL_CONNECTOR COLUMN DEFINITION
;
CREATE UNIQUE INDEX @SCHEMA@.BPM_SKEL_CONNECTOR2_I
    ON @SCHEMA@.BPM_SKEL_CONNECTOR2_LOB
    USING STOGROUP @STOGRP@
;
        

CREATE UNIQUE INDEX @SCHEMA@.BPMC_SKELNTR_PK
    ON @SCHEMA@.BPM_SKEL_CONNECTOR
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.BPM_SKEL_CONNECTOR
    ADD CONSTRAINT BPMC_SKELNTR_PK
    PRIMARY KEY(
       "VERSION_ID")

;

CREATE INDEX @SCHEMA@.BPMC_SKELNTR_PK3
    ON @SCHEMA@.BPM_SKEL_CONNECTOR("GUID")
    USING STOGROUP @STOGRP@

;

ALTER  TABLE @SCHEMA@.LSW_EXTERNAL_ACTIVITY 
ADD 
    "IS_GENERATED_ACTIVITY" CHAR(1)
        DEFAULT 'F' NOT NULL
;

COMMIT;
    

ALTER  TABLE @SCHEMA@.LSW_USR_XREF 
ADD 
    "USER_STATE" DECIMAL(2, 0)
        DEFAULT 0 NOT NULL 
ADD 
    "LAST_STATE_MODIFIED" TIMESTAMP
;

COMMIT;
    

ALTER  TABLE @SCHEMA@.LSW_PROCESS 
ADD 
    "IS_AJAX_EXPOSED" CHAR(1)
        DEFAULT 'F'
;

COMMIT;
    

        
-- END of phase ProcUpgradeTo857_CF2016.09 --
        
    